Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Problem with adding camera to media server

Hi everybody.

 

We have problem with adding cameras to media server. When adding some cameras the error below appears:

Operation failed: Media server reported the error Failed to create MediaServer capture driver for archName bd484b3b-6028-4896-9713-b470eaaaf2ad_vs1_r periphId 10007
 

Some times it appears with cameras which worked before.

May be someone faced with this kind of problem. What can cause this problem.

Please advice.

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

i guess we are hitting a

i guess we are hitting a defect here, i would recommend to upgrade to 7.2.2 or open a TAC case for further assistance on this issue.

14 REPLIES
Cisco Employee

Hi

Hi

1. what is the VSM version? specific version?

2. what model of camera are you trying to add?

3. what type of camera template is used?

4. could share the output of the below commands

On servers running VSM 7.2.0 on SLES 10 SP1
 # sudo /usr/bin/lsof -p  $(/sbin/pidof xvcrman) | grep -c smd

On servers running VSM 7.2.0 on RHEL 5.8
 # sudo /usr/sbin/lsof -p  $(/sbin/pidof xvcrman) | grep -c smd
New Member

Hi, 1. VSM version is 7.2.02.

Hi,

 

1. VSM version is 7.2.0

2. Camera models are 3520, 6020, 6030

3. We are creating camera specific templates for each type of camera

4. From VSOM

[localadmin@localhost ~]$ sudo /usr/sbin/lsof -p  $(/sbin/pidof xvcrman) | grep -c smd

lsof: no process ID specified
lsof 4.78
 latest revision: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/
 latest FAQ: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ
 latest man page: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_man
 usage: [-?abhlnNoOPRstUvVX] [+|-c c] [+|-d s] [+D D] [+|-f[gG]] [+|-e s]
 [-F [f]] [-g [s]] [-i [i]] [+|-L [l]] [+m [m]] [+|-M] [-o [o]]
 [-p s] [+|-r [t]] [-S [t]] [-T [t]] [-u s] [+|-w] [-x [fl]] [-Z [Z]] [--] [names]
Use the ``-h'' option to get more help information.

From Media Server

[localadmin@MediaServer6 ~]$ sudo /usr/sbin/lsof -p  $(/sbin/pidof xvcrman) | grep -c smd
4054


 

 

Cisco Employee

i guess we are hitting a

i guess we are hitting a defect here, i would recommend to upgrade to 7.2.2 or open a TAC case for further assistance on this issue.

New Member

Hi, should we upgrade to 7.2

Hi,

 

should we upgrade to 7.2.2 or may be 7.5.0 or 7.5.1 ?

Cisco Employee

HI,it's always good to have

HI,

it's always good to have the latest version installed.

from the above log, look like you have got the wrong package. could you check what OS is running on the server with below command.

cat /etc/issue

considering OS, SUSE or Red Hat version, please have the package downloaded from Cisco.com and proceed with upgrade.

let me know, if you have any questions.

New Member

Hi, our version is Red Hat 5

Hi,

 

our version is Red Hat 5.8

Cisco Employee

Hi,1. was the upgrade

Hi,

1. was the upgrade successful?

2. what stage is upgrade now?

3. /usr/BWhttpd/upgrade/server/upgrade.log, what does this log say?

4. rpm -qa Cisco*

5. vscheck

New Member

Hi, 1. No,install wasn'r

Hi,

 

1. No,install wasn'r successful

2. I have upgraded every server from CLI, all previous configuration lost

now i added all cameras, but the error below appears:

Failed to parse view description XML, error code: c00ce169. reason = Failed to parse XML, error code: -1072897687. Reason: 'PostMetadata' violates enumeration constraint of 'PTZControl PTZConfig MDConfig ViewRecording Record ExportVideo ClipVideo ViewLive CameraConfig ListenToAudio'. The attribute 'Name' with value 'PostMetadata' failed to parse.
 
What can be problem
 
Cisco Employee

Hi,i haven't seen this error

Hi,

i haven't seen this error before.

1. what is the IE version?

2. have you uninstalled the VSM plugins and re-installed the plugins for 7.5.X?

3. could you share with us the snap shot of the error message?

4. is this issue with all the cameras or certain model? what type of template is been used?

5. check the commands "service cisco status" and "vscheck"

 

New Member

Hi, that was the error fo IE

Hi,

 

that was the error fo IE i think. Because aftrer PC restart everything is OK. Now we can see cameras from VSOM web browser.

Thank you for your effort

Cisco Employee

Hi,I'm glad it worked for you

Hi,

I'm glad it worked for you, are you able to add cameras now?

NP, I'm glad, i could help.

New Member

Yes,Now I can add cameras. I

Yes,

Now I can add cameras. I'll check  recordings for a few days.

New Member

Hi, can you please describe

Hi,

 

can you please describe what does this warning means?

 

Pending software Upload - MS-s/Vsom do not have these software uploaded

 

Also we have another issue.

When viewing from monitoring window we can see only last 10-15 minutes of recordings every time when we look at it. We cannot see old recordings.

What should we check?

New Member

Hi, I have tried to upgrade

Hi,

 

I have tried to upgrade to 7.5.1 version via VSMC, here is the result:

 

2014-10-20 11:50:33.??? [ bash(25358) ] Expanding the upgrade file Cisco_VSM-7.5.1-007i-rhel5.zip
Archive:  /usr/BWhttpd/upgrade/server/download/Cisco_VSM-7.5.1-007i-rhel5.zip
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_AMQBroker-7.5.1-1.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_MPClient-7.5.0-24.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_SASD-7.5.0-26.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_Tomcat-7.0.37-2.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSBase-7.5.1-043d-rhel5.8.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSDrivers-7.5.1-043d-rhel5.8.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSMC-7.5.1-004.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSMS-7.5.1-043d-rhel5.8.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSOM-7.5.1-4-rhel5.8.i386.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSRecorder-7.5.1-043d-rhel5.8.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/Cisco_VSTools-7.5.1-043.noarch.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/jre-7u17-linux-i586.rpm  
  inflating: /usr/BWhttpd/upgrade/server/workspace/upgrade_main.sh  
  inflating: /usr/BWhttpd/upgrade/server/workspace/VSM-version.xml  
2014-10-20 11:50:43.??? [ bash(25358) ] Platform:rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] Cisco_VSBase-7.5.1-043d-rhel5.8.rpm is for the right platform rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] Cisco_VSDrivers-7.5.1-043d-rhel5.8.rpm is for the right platform rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] Cisco_VSMS-7.5.1-043d-rhel5.8.rpm is for the right platform rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] Cisco_VSOM-7.5.1-4-rhel5.8.i386.rpm is for the right platform rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] Cisco_VSRecorder-7.5.1-043d-rhel5.8.rpm is for the right platform rhel5.8
2014-10-20 11:50:43.??? [ bash(25358) ] OS Validation: pass
2014-10-20 11:50:43.??? [ bash(25358) ] Upgrade package is targeted on a right platform
2014-10-20 11:50:43.??? [ upgrade_main.sh(25622) ] Upgrade script initialized
2014-10-20 11:50:43.??? [ upgrade_main.sh(25622) ] User RPM list not specified
2014-10-20 11:50:43.??? [ upgrade_main.sh(25622) ] Building a User RPM list
2014-10-20 11:50:43.??? [ upgrade_main.sh(25622) ] No VSOM Response URL specified
2014-10-20 11:50:43.??? [ upgrade_main.sh(25622) ] No Wowza RPM found for installation
2014-10-20 11:50:50.??? [ upgrade_main.sh(25622) ] Upgrade failed. Upgrade script failed. Upgrading from unsupported version to VSOM-7.5.1
2014-10-20 11:50:50.??? [ bash(25358) ] upgrade_main.sh failed with error 29.
2014-10-20 11:50:50.??? [ bash(25358) ] ---- Start output from upgrade_main.sh ----
2014-10-20 11:50:50.??? [ bash(25358) ] 7 Upgrade script initialized
2014-10-20 11:50:50.??? [ bash(25358) ] ls: *Wowza*.rpm: No such file or directory
2014-10-20 11:50:50.??? [ bash(25358) ] 11 Upgrade failed. Upgrade script failed. Upgrading from unsupported version to VSOM-7.5.1
2014-10-20 11:50:50.??? [ bash(25358) ] ---- End output from upgrade_main.sh ----

 

What can cause problem?

459
Views
5
Helpful
14
Replies
CreatePlease to create content